"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRequestToDownstream = void 0;
const request_1 = __importDefault(require("request"));
const config_1 = require("../config");
let requestToDownstream = request_1.default;
requestToDownstream = request_1.default.defaults({
    ca: config_1.config.caCert,
    timeout: process.env.BROKER_DOWNSTREAM_TIMEOUT
        ? parseInt(process.env.BROKER_DOWNSTREAM_TIMEOUT)
        : 60000,
    agentOptions: {
        keepAlive: true,
        keepAliveMsecs: 60000,
        maxTotalSockets: 1000,
    },
});
const getRequestToDownstream = () => {
    return requestToDownstream;
};
exports.getRequestToDownstream = getRequestToDownstream;
//# sourceMappingURL=request.js.map